> # NAME

> DiffuseMaterialSource - 3D API diffuse material source

> # USAGE

> DiffuseMaterialSource = int(enable)

> # VALID ENUMERANTS

> enable: true, false

> # DESCRIPTION

> Enable/disable front and back diffuse color material. See the GL_DIFFUSE description on the OpenGL glColorMaterial manual page for details. See the D3DRS_DIFFUSEMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the DiffuseMaterialSource state to int(false).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> AmbientMaterialSource, ColorMaterial, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource